summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure118
1 files changed, 118 insertions, 0 deletions
diff --git a/configure b/configure
index 0b757c6a4..1fe8a20e9 100755
--- a/configure
+++ b/configure
@@ -7372,6 +7372,117 @@ _ACEOF
7372 7372
7373fi 7373fi
7374 7374
7375 { echo "$as_me:$LINENO: checking if we have the Security Authorization Session API" >&5
7376echo $ECHO_N "checking if we have the Security Authorization Session API... $ECHO_C" >&6; }
7377 cat >conftest.$ac_ext <<_ACEOF
7378/* confdefs.h. */
7379_ACEOF
7380cat confdefs.h >>conftest.$ac_ext
7381cat >>conftest.$ac_ext <<_ACEOF
7382/* end confdefs.h. */
7383#include <Security/AuthSession.h>
7384int
7385main ()
7386{
7387SessionCreate(0, 0);
7388 ;
7389 return 0;
7390}
7391_ACEOF
7392rm -f conftest.$ac_objext
7393if { (ac_try="$ac_compile"
7394case "(($ac_try" in
7395 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7396 *) ac_try_echo=$ac_try;;
7397esac
7398eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7399 (eval "$ac_compile") 2>conftest.er1
7400 ac_status=$?
7401 grep -v '^ *+' conftest.er1 >conftest.err
7402 rm -f conftest.er1
7403 cat conftest.err >&5
7404 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7405 (exit $ac_status); } && {
7406 test -z "$ac_c_werror_flag" ||
7407 test ! -s conftest.err
7408 } && test -s conftest.$ac_objext; then
7409 ac_cv_use_security_session_api="yes"
7410
7411cat >>confdefs.h <<\_ACEOF
7412#define USE_SECURITY_SESSION_API 1
7413_ACEOF
7414
7415 LIBS="$LIBS -framework Security"
7416 { echo "$as_me:$LINENO: result: yes" >&5
7417echo "${ECHO_T}yes" >&6; }
7418else
7419 echo "$as_me: failed program was:" >&5
7420sed 's/^/| /' conftest.$ac_ext >&5
7421
7422 ac_cv_use_security_session_api="no"
7423 { echo "$as_me:$LINENO: result: no" >&5
7424echo "${ECHO_T}no" >&6; }
7425fi
7426
7427rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7428 { echo "$as_me:$LINENO: checking if we have an in-memory credentials cache" >&5
7429echo $ECHO_N "checking if we have an in-memory credentials cache... $ECHO_C" >&6; }
7430 cat >conftest.$ac_ext <<_ACEOF
7431/* confdefs.h. */
7432_ACEOF
7433cat confdefs.h >>conftest.$ac_ext
7434cat >>conftest.$ac_ext <<_ACEOF
7435/* end confdefs.h. */
7436#include <Kerberos/Kerberos.h>
7437int
7438main ()
7439{
7440cc_context_t c;
7441 (void) cc_initialize (&c, 0, NULL, NULL);
7442 ;
7443 return 0;
7444}
7445_ACEOF
7446rm -f conftest.$ac_objext
7447if { (ac_try="$ac_compile"
7448case "(($ac_try" in
7449 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7450 *) ac_try_echo=$ac_try;;
7451esac
7452eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7453 (eval "$ac_compile") 2>conftest.er1
7454 ac_status=$?
7455 grep -v '^ *+' conftest.er1 >conftest.err
7456 rm -f conftest.er1
7457 cat conftest.err >&5
7458 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7459 (exit $ac_status); } && {
7460 test -z "$ac_c_werror_flag" ||
7461 test ! -s conftest.err
7462 } && test -s conftest.$ac_objext; then
7463
7464cat >>confdefs.h <<\_ACEOF
7465#define USE_CCAPI 1
7466_ACEOF
7467
7468 LIBS="$LIBS -framework Security"
7469 { echo "$as_me:$LINENO: result: yes" >&5
7470echo "${ECHO_T}yes" >&6; }
7471 if test "x$ac_cv_use_security_session_api" = "xno"; then
7472 { { echo "$as_me:$LINENO: error: *** Need a security framework to use the credentials cache API ***" >&5
7473echo "$as_me: error: *** Need a security framework to use the credentials cache API ***" >&2;}
7474 { (exit 1); exit 1; }; }
7475 fi
7476else
7477 echo "$as_me: failed program was:" >&5
7478sed 's/^/| /' conftest.$ac_ext >&5
7479
7480 { echo "$as_me:$LINENO: result: no" >&5
7481echo "${ECHO_T}no" >&6; }
7482
7483fi
7484
7485rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7375 ;; 7486 ;;
7376*-*-dragonfly*) 7487*-*-dragonfly*)
7377 SSHDLIBS="$SSHDLIBS -lcrypt" 7488 SSHDLIBS="$SSHDLIBS -lcrypt"
@@ -7916,6 +8027,11 @@ cat >>confdefs.h <<\_ACEOF
7916_ACEOF 8027_ACEOF
7917 8028
7918 fi 8029 fi
8030
8031cat >>confdefs.h <<\_ACEOF
8032#define OOM_ADJUST 1
8033_ACEOF
8034
7919 ;; 8035 ;;
7920mips-sony-bsd|mips-sony-newsos4) 8036mips-sony-bsd|mips-sony-newsos4)
7921 8037
@@ -26463,6 +26579,8 @@ fi
26463echo "${ECHO_T}$ac_cv_lib_selinux_setexeccon" >&6; } 26579echo "${ECHO_T}$ac_cv_lib_selinux_setexeccon" >&6; }
26464if test $ac_cv_lib_selinux_setexeccon = yes; then 26580if test $ac_cv_lib_selinux_setexeccon = yes; then
26465 LIBSELINUX="-lselinux" 26581 LIBSELINUX="-lselinux"
26582 LIBS="$LIBS -lselinux"
26583
26466else 26584else
26467 { { echo "$as_me:$LINENO: error: SELinux support requires libselinux library" >&5 26585 { { echo "$as_me:$LINENO: error: SELinux support requires libselinux library" >&5
26468echo "$as_me: error: SELinux support requires libselinux library" >&2;} 26586echo "$as_me: error: SELinux support requires libselinux library" >&2;}